"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var list_1 = require("../../handlers/deployed-recipe/list");
exports.command = "list";
exports.desc = "list all deployed recipes";
exports.builder = {
    all: {
        alias: "a",
        boolean: true,
        demand: false,
        describe: "if set, result will include deployed recipes on all environments",
        requiresArg: false,
    },
    environment: {
        alias: "e",
        demand: false,
        describe: "result will only include deployed recipes on this environment",
        requiresArg: true,
    },
};
exports.handler = list_1.listDeployedRecipes;
