"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var get_1 = require("../../handlers/recipe/get");
exports.command = "get <id>";
exports.desc = "get a specific recipe";
exports.builder = {
    clean: {
        alias: "c",
        boolean: true,
        demand: false,
        describe: "clean recipe of extra data",
        requiresArg: false,
    },
    savejpk: {
        alias: "j",
        demand: false,
        describe: "where to save the jitterpak",
        requiresArg: true,
    },
    saverecipe: {
        alias: "r",
        demand: false,
        describe: "where to save the recipe",
        requiresArg: true,
    },
};
exports.handler = get_1.getRecipe;
