"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var list_1 = require("../../handlers/recipe/list");
exports.command = "list [page]";
exports.desc = "list all recipes";
exports.builder = {
    limit: {
        alias: "l",
        default: 10,
        demand: false,
        describe: "the number of results to retrieve",
        number: true,
        requiresArg: true,
    },
    private: {
        alias: "p",
        boolean: true,
        demand: false,
        describe: "if set, result will only include private recipes",
        requiresArg: false,
    },
};
exports.handler = list_1.listRecipes;
