"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var update_1 = require("../../handlers/recipe/update");
exports.command = "update <id>";
exports.desc = "update an existing recipe";
exports.builder = {
    jpk: {
        alias: "j",
        demand: true,
        describe: "the jitterpak",
        requiresArg: true,
    },
    public: {
        alias: "p",
        boolean: true,
        demand: false,
        describe: "if set, the recipe will be publicly available",
        requiresArg: false,
    },
    recipe: {
        alias: "r",
        demand: true,
        describe: "the recipe metadata",
        requiresArg: true,
    },
};
exports.handler = update_1.updateRecipe;
