#!/bin/bash

check_return () {
    rc=$?
    if [ ${rc} -ne 0 ]; then
        exit ${rc}
    fi
}

declare id=""
get_id () {
    regex="^.+ ID ([0-9]+), .+$"
    if [[ $1 =~ ${regex} ]]; then
        id=("${BASH_REMATCH[1]}")
    fi
}

jbcli login --email thomas.mercurio+d@jitterbit.com --password "=1:Y%9tky5WN0>iQ" --host localhost:8443
check_return

up=$(jbcli recipe upload --jpk data/test.jpk --recipe data/test.json)
check_return
echo "$up"

get_id "$up"

jbcli recipe get "$id"
check_return

jbcli recipe update "$id" --jpk data/test.jpk --recipe data/test.json
check_return

jbcli recipe get "$id"
check_return

jbcli recipe delete "$id"
check_return

jbcli logout
check_return

exit 0
