"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var login_1 = require("../handlers/login");
exports.command = "login";
exports.desc = "set credentials";
exports.builder = {
    email: {
        alias: "e",
        demand: true,
        describe: "login email",
        requiresArg: true,
    },
    host: {
        alias: "h",
        demand: true,
        describe: "host to log in to",
        requiresArg: true,
    },
    password: {
        alias: "p",
        demand: false,
        describe: "login password",
        requiresArg: true,
    },
};
exports.handler = login_1.login;
