"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var generate_1 = require("../../handlers/recipe/generate");
exports.command = "generate";
exports.desc = "generate a new recipe";
exports.builder = {
    configonly: {
        alias: "c",
        boolean: true,
        // conflicts: "recipeonly",
        demand: false,
        describe: "if set, only the configure file will be generated",
        requiresArg: false,
    },
    jpk: {
        alias: "j",
        demand: true,
        describe: "the jitterpak",
        requiresArg: true,
    },
    recipeonly: {
        alias: "r",
        boolean: true,
        // conflicts: "configonly",
        demand: false,
        describe: "if set, only the recipe file will be generated",
        requiresArg: false,
    },
};
exports.handler = generate_1.generateRecipe;
